biosdisk(8)

NAME
biodisk - BIOS Flash disk image creation

SYNOPSIS
biosdisk [action] [options] filename

DESCRIPTION
biosdisk is a utility that can be used to make a FreeDOS floppy boot image that can be used to flash a Dell system BIOS.

FILENAME GUIDELINES

The filename can be a file local to the system, or it can be an ftp or http URL to a raw BIOS file or BIOS floppy image. For example, passing "http://somedomain.com/700m_A00.exe" or "ftp://ftp.dell.com/bios/700m_A00.exe" to biosdisk will work correctly.

ACTIONS

Note that some options may be silently ignored depending on what distribution biosdisk is run on.

mkfloppy
    Creates an image and writes it to a floppy disk. Requires the user to pass the location of the raw BIOS executable file

mkimage
    Creates a floppy image on the system's hard drive. Requires the user to pass the location of the raw BIOS executable file

mkpkg
    Creates a distribution-specific installable package that, when installed on a target system, will provide the floppy image and update the system's bootloader (using the distribution's own tools) to allow the user to flash the BIOS from the image on the hard drive. Requires the user to pass the location of the raw BIOS executable file, or a previously-created biosdisk image file. Currently only supports rpm and Debian packages.

install
    Will create a biosdisk image (if raw .exe file passed), copy biosdisk image file to /boot, and update the bootloader with an entry for the new image. This is ignored on Debian systems.

uninstall
    Will remove the biosdisk image file from /boot, and remove the BIOS entry corresponding to that image from the bootloader configuration file. This is ignored on Debian systems.

FILENAME

The file name can be either a raw BIOS DOS executable file for the mkfloppy, mkimg, or mkpkg actions, or it can be a previously-created biosdisk image file for mkpkg as well. However, the file must end in one of the following: .exe, .EXE, .img, or .IMG. The filename should also be the full path to the file.

OPTIONS

-o <option>
    Option to be passed to BIOS executable file at runtime. Can be used with any action

-d <device>
    The floppy device to which the BIOS flash image should be written. If not specified, will default to /dev/fd0.

-k <base image>
    When specified, biosdisk will use a custom base DOS disk image for floppy image creation, instead of the default FreeDOS image provided with biosdisk. Can be used with any action.

-i <destination>
    Path and filename to which the floppy image from the mkimage action will be written. If not specified, it will create an image in /tmp and name the file based on the BIOS executable name. If this option is used with the mkpkg action and a Debian package is created, the Debian package will be built in the specified destination.

--install
    When used in conjunction with the mkpkg action, will install the package on the user's system once the package has been created.

--distro=<distro>
    Only used for the mkpkg action. By default, biosdisk will try to guess the distribtion that you are using. If you would like to create a BIOS package for a distribution other than the one you are using, you can specify this option. Options available are redhat, suse, mandrake, debian, and gentoo. However, only rpm or Debian based systems are currently supported.

--name=<pkg name>
    Used only for the mkpkg action. Specifies the name for the package that is created. If not specified, biosdisk will make a guess based on the filename

--version=<pkg version>
    Used only for the mkpkg action. Specifies the version for the package that is created. If not specified, biosdisk will make a guess based on the filename

--release=<pkg release>
    Used only for the mkpkg action. Specifies the release for the package that is created. If not specified, biosdisk will make a guess based on the filename

--title=<title>
    Used only with the install action. This gives the title of the entry added to the bootloader configuration file.

--pkgtype=<package type>
    Used with the mkpkg action only. Specifies the type of package to create. Currenly supported choices are: rpm, deb

--bioslog=<path to bioslog>
    Include the BiosLog distributed with the Bios file into the package. Currently only works for Debian packages where it is installed in the doc section of the package. Please provide the full path to the file.

-h|--help
    Prints the biosdisk usage options

AUTHOR
John Hull (john_hull@dell.com)

WEBPAGE
http://linux.dell.com/biosdisk